#ifndef _BLINKDETECT_MQTT_H
#define _BLINKDETECT_MQTT_H

#include "common.h"


void mqtt_sendcaminfo (scwstate_t * state);

void pubimg_packedrgb (scwstate_t * state, const char *imgtype, int width,
		       int height, unsigned char *img);

void pubimg_intgrey (scwstate_t * state, const char *imgtype, int width,
		     int height, int *img);

void pubimg_planaryuv (scwstate_t * state, const char *imgtype, int width,
		       int height, int hshift, int vshift,
		       unsigned char **plane, int *linesize);

int mqtt_selectround (scwstate_t * state, int usectime, int readstdin);

int mqtt_init (scwstate_t * state);

void mqtt_stop (scwstate_t * state);


#endif /* _BLINKDETECT_MQTT_H */
