#!/bin/sh

# Random pixels in a 10x10 grid

# LIMITDEMO=1 to stop after defined length

T=0
R=0

od -tu4 -An -w8 /dev/urandom |
  while read X Y ; do

    T="$(( $T + 1 ))"

    [ -n "$LIMITDEMO" ] && [ "$T" -gt 400 ] && break

    echo "
	  x = -10 + 20 * $X / 2^32 ;
	  y = -10 + 20 * $Y / 2^32 ;
	  z = 10 * s(x) * s(y) ;
	 "'print x, " ", y, " ", z, "\n"'

  done |
  bc -l |
  while read X Y Z ; do
    # printf also conveniently outputs -.1 as json-compliant -0.1
    printf '{"x": %f, "y": %f, "z": %f}\n' "$X" "$Y" "$Z"
    sleep 0.1

    R="$(( $R + 1 ))"
    if [ "$R" -gt 30 ] ; then
      mosquitto_pub -t scwips/collect/cmd -m '{"cmd": "postdata"}'
      R=0
    fi
  done |
  mosquitto_pub -t scwips/objtrack/result -l
