#ifndef RECV_PUB_H
#define RECV_PUB_H

#include "common.h"

int makefilenames (state_t * state, const char *rendername_sane,
		   const char *exten, char *destfname, char *tmpfname);

void announcefile (state_t * state, const char *collecttopic,
		   const char *rendername, const char *rendername_sane,
		   const char *exten, const char *filetype,
		   int width, int height);

int lookup_plane (data_t * data, const char *searchlabel);

void recv_bindata (state_t * state, char *bindatatopic,
		   unsigned char *payload, size_t payloadlen);

static inline double
getdata (data_t * data, int x, int y, int planeidx)
{
  return data->data[(y * data->axes[0].items + x) * data->planes_num +
		    planeidx];
}



#endif // RECV_PUB_H
