// Part of SCWIPS  Copyright (C) 2021 J.A.Bezemer@opensourcepartners.nl  GPL>=3

#include "camfuncs.h"
#include <math.h>

// DECL: distortion_func_t distortion_none;
// DECL: distortion_initfunc_t distortion_none_init;
// REG_DISTORTION: {"none", 0, distortion_none, distortion_none_init}

void
distortion_none (double officialx, double officialy, double *distortedx,
		 double *distortedy, double *params)
{
  *distortedx = officialx;
  *distortedy = officialy;
}

void
distortion_none_init (double *param, mp_par * param_settings)
{

  // Note: don't forget adjusting #params in REG_DISTORTION above
}
